import * as URL from "./url";

export default [
  {
    path: URL.ROOT,
    // redirect: URL.DATA_OPS,
    redirect: "/situation",
  },
  // 运维管理
  {
    path: URL.PLATFORM,
    redirect: URL.PLATFORM_LICENSE,
  },
  {
    path: URL.PLATFORM_USER,
    component: (resolve) => require(["@/views/platform/user/index"], resolve),
  },
  {
    path: URL.PLATFORM_MENU,
    component: (resolve) => require(["@/views/platform/menu/index"], resolve),
  },
  {
    path: URL.PLATFORM_AUTH,
    component: (resolve) => require(["@/views/platform/auth/index"], resolve),
  },
  {
    path: URL.PLATFORM_LICENSE,
    component: (resolve) =>
      require(["@/views/platform/license/index"], resolve),
  },
  {
    path: URL.PLATFORM_CONFIG,
    component: (resolve) => require(["@/views/platform/config/index"], resolve),
  },
  {
    path: URL.CONFIG,
    redirect: URL.CONFIG_SYSTEM,
  },
  {
    path: URL.CONFIG_SYSTEM,
    component: (resolve) => require(["@/views/config/system/index"], resolve),
  },
  {
    path: URL.CONFIG_DEVICE,
    component: (resolve) => require(["@/views/config/device/index"], resolve),
  },
  // 态势检测
  {
    path: "/situation",
    component: (resolve) => require(["@/views/situation/index"], resolve),
  },
  {
    path: "/situation/cameraView",
    component: (resolve) => require(["@/views/situation/cameraView"], resolve),
  },
  // 信号评价
  {
    path: "/signal",
    component: (resolve) => require(["@/views/signal/index"], resolve),
  },
  // 分析报告
  {
    path: "/analysis",
    component: (resolve) => require(["@/views/analysis/index"], resolve),
  },
  {
    path: "/analysis/reportPreview",
    component: (resolve) =>
      require(["@/views/analysis/preview/reportPreview"], resolve),
  },
  // 轨迹分析
  {
    path: "/track",
    component: (resolve) => require(["@/views/track/index"], resolve),
  },
  // 效率评价
  {
    path: "/efficiency",
    component: (resolve) => require(["@/views/efficiency/index"], resolve),
  },
  // 安全评价
  {
    path: "/safety",
    component: (resolve) => require(["@/views/safety/index"], resolve),
  },
  // 组织评价
  {
    path: "/organization",
    component: (resolve) => require(["@/views/organization/index"], resolve),
  },
];
