import request from '../utils/request'
// left 路口排名
export const orgRank = (data) =>
    request({
        url: '/holo/base-cross-info/org-list',
        method: 'get',
        params: data
    })
// 行人
export const orgPasserby = (data) =>
    request({
        url: '/holo/analysis-cross-pedestrian/list',
        method: 'get',
        params: data
    })
// 非机动车
export const orgNoVehicle = (data) =>
    request({
        url: '/holo/analysis-cross-non-motor/trend',
        method: 'get',
        params: data
    })
// 右上 冲突点数据
export const orgConflict = (data) =>
    request({
        url: '/holo/event-cross-conflict/getByCondition',
        method: 'get',
        params: data
    })
// 获取车道面 polygon
export const orgCrossPolygon = (data) =>
    request({
        url: '/holo/base-lane-info/lane-area',
        method: 'get',
        params: data
    })
// 按车道和路口和时间获取 流量值
export const orgFlowByLane = (data) =>
    request({
        url: '/holo/analysis-rid-lane-indicators/hour-data',
        method: 'get',
        params: data
    })
// 车道转向弧线
export const orgLaneLine = (data) =>
    request({
        url: '/holo/base-lane-info/lane-turn-arc',
        method: 'get',
        params: data
    })
// 轨迹点群
export const trackPoints = (data) =>
    request({
        url: '/holo/histrory-track/density-model',
        method: 'get',
        params: data
    })

    // 获取头盔率图片
export const helmetRateImages = (data) =>
    request({
        url: '/holo/analysis-cross-non-motor/illegal',
        method: 'get',
        params: data
    })

