import fetch from '@/utils/fetch';

// 查询左侧菜单树
export const getMenuTree = () => fetch('/design/systemsetting/menu/getTopTreeMenu', {}, 'GET');
// 新增左侧菜单树
export const createMenuTree = data => fetch('/design/systemsetting/menu/creating', data, 'POST');
// 删除左侧菜单树
export const deleteMenuTree = data => fetch(`/design/systemsetting/menu/deleting?ids=${  data}`, {}, 'GET');
// 编辑左侧菜单树
export const editMenuTree = data => fetch('/design/systemsetting/menu/updating', data, 'POST');
// 左侧菜单树查重
export const repeatMenu = data => fetch('/design/systemsetting/menu/byCondition', data, 'POST');

// 查询菜单
export const queryData = data => fetch('/design/systemsetting/menu/byPage', data, 'POST');
// 新增菜单
export const createMenu = data => fetch('/design/systemsetting/menu/creating', data, 'POST');
// 编辑菜单
export const editMenu = data => fetch('/design/systemsetting/menu/updating', data, 'POST');
// 新建时获取上级菜单
export const getLowerMenu = data => fetch(`/design/systemsetting/menu/getLowerMenu?id=${  data}`, {}, 'GET');
// 编辑时获取上级菜单
export const getLowerMenuEdit = (id, currentId) => fetch(`/design/systemsetting/menu/getLowerMenuWhenUpdate?id=${  id  }&currentId=${  currentId}`, {}, 'GET');
// 删除菜单
export const deleteMenu = data => fetch(`/design/systemsetting/menu/deleting?ids=${  data}`, {}, 'GET');
// 菜单排序-获取菜单
export const getSortTree = () => fetch('/design/systemsetting/menu/getTreeMenu', {}, 'GET');
// 菜单排序-更新排序
export const updateSortTree = data => fetch('/design/systemsetting/menu/updateBatch', data, 'POST');
// 表格删除
export const deleting = data => fetch('/design/systemsetting/systemParam/deleting', data, 'GET');
