import {VxeUI} from 'vxe-pc-ui'
import XEUtils from 'xe-utils'
import {selectDictLabel} from "@/utils/tools";
import dict from '@/config/holo/dictionary'

VxeUI.formats.add('formatDir', {
    cellFormatMethod({cellValue}, format) {
        return selectDictLabel(dict.dirOptions, cellValue)
    }
})

VxeUI.formats.add('formatTurn', {
    cellFormatMethod({cellValue}, format) {
        return selectDictLabel(dict.turnOptions, cellValue)
    }
})