import request from '../utils/request'
// 路口效率排名
export const getEfficiencyRank = (data) =>
    request({
        url: '/holo/analysis-cross-efficiency/getRank',
        method: 'get',
        params: data
    })
// 效率指标对比
export const getEfficiencyContract = (data) =>
    request({
        url: '/holo/analysis-cross-efficiency/getEfficiencyContract',
        method: 'get',
        params: data
    })
// 行人效率
export const passerbyEfficiency = (data) =>
    request({
        url: '/holo/analysis-cross-pedestrian/list',
        method: 'get',
        params: data
    })
// 非机动车效率
export const noVehicleEfficiency = (data) =>
    request({
        url: '/holo/analysis-cross-non-motor/trend',
        method: 'get',
        params: data
    })
// 非机动车效率table
export const noVehicleTable = (data) =>
    request({
        url: '/holo/analysis-cross-non-motor/recently',
        method: 'get',
        params: data
    })
// 机动车效率
export const vehicleEfficiency = (data) =>
    request({
        url: '/holo/analysis-cross-motor/trend',
        method: 'get',
        params: data
    })

