import fetch from '@/utils/fetch'
import request from '../utils/request'

// 行人轨迹查询
export const passerbyTrack = (data) =>
    request({
        url: '/holo/histrory-track/pedestrian-efficiency',
        method: 'post',
        data: data,
        responseType:'arraybuffer'
    })

// 非机动车历史轨迹
export const noVehicleTrack = (data) =>
    request({
        url: '/holo/histrory-track/non-motor-efficiency',
        method: 'post',
        data: data,
        responseType:'arraybuffer'
    })

// 机动车历史轨迹
export const vehicleTrack = (data) =>
    request({
        url: '/holo/histrory-track/motor-efficiency',
        method: 'post',
        data: data,
        responseType:'arraybuffer'
    })

// 所有轨迹
export const allTrack = (data) =>
    request({
        url: '/holo/histrory-track/info',
        method: 'post',
        data: data,
        responseType:'arraybuffer'
    })