import fetch from '../utils/fetch/index'

// 检测器位置信息
export const getDetetors = () => fetch('/holo/detector/list', {}, 'GET')

export const crossInfo = () => fetch('/holo/base-cross-info/list', {}, 'GET')

// 顶部轮询5指标
export const getOverDatas = () => fetch('/holo/area-index-analysis/realtime', {}, 'GET')

export const eventInfo = (data) => fetch('/holo/event-info/list', data, 'GET')

export const inletWayRealTime = (data) => fetch('/holo/analysis-rid-entrace-indicator/realtime', data, 'GET')

export const inletWayTimeBetw = (data) => fetch('/holo/analysis-rid-entrace-indicator/time-slot', data, 'GET')

export const inletWayTurnRealTime = (data) => fetch('/holo/analysis-rid-turn-indicators/realtime', data, 'GET')

export const inletWayTurnTimeBetw = (data) => fetch('/holo/analysis-rid-turn-indicators/time-slot', data, 'GET')

export const roadRealTime = (data) => fetch('/holo/analysis-rid-lane-indicators/realtime', data, 'GET')

export const roadTimeBetw = (data) => fetch('/holo/analysis-rid-lane-indicators/time-slot', data, 'GET')

// 根据路口获取所有车道
export const getRoadsTurn = (data) => fetch('/holo/base-lane-info/list', data, 'GET')

// 根据路口获取所有转向
export const getRoadsAllTurn = (data) => fetch('/holo/base-cross-turn-info/list', data, 'GET')

// 根据路口获取所有方向
export const getRoadsAllDir = (data) => fetch('/holo/base-rid-info/byCondition', data, 'POST')

export const trafficEByTime = (data) => fetch('/holo/analysis-event-trend/list', data, 'GET')

// 区域时段雷达图
export const areaList = () => fetch('/holo/area-index-analysis/list', {}, 'GET')

// 路口交通流量分析
export const crossFlow = () => fetch('/holo/cross-flow/list', {}, 'GET')

// 路段交通流量分析
export const ridFlow = () => fetch('/holo/rid-flow/list', {}, 'GET')

// 路口详情 - 路口交通指标
export const crossIndex = (data) => fetch('/holo/analysis-cross-indicators/query', data, 'GET')

export const eventAnalysis = () => fetch('/holo/event-analysis/list', {}, 'GET')

export const areaRecent = () => fetch('/holo/area-index-analysis/recently', {}, 'GET')

// 右下 告警列表
export const eventAlarm = () => fetch('/holo/event-info/alarm', {}, 'GET')

// 右下 超限列表
export const getAlarmOverDatas = () => fetch('/holo/event-info/transfiniteList', {}, 'GET')

export const pedNonAnalysis = () => fetch('/holo/ped-nonmotor-analysis/list', {}, 'GET')

//路口配置列表
export const api_getCrossData = (data) => fetch('/web/crossConfig/listLaneInfo', data, 'POST')

//信号评价-路口配置列表
export const api_getCrossData_opt = (data) => fetch('/opt/diagno/listLaneInfo', data, 'POST')

export const api_phaseByTimeList = (data) => fetch('/web/planSend/phaseListByTimeSingleRing', data, 'POST')

// 设备图层接口
export const equip_camera = () => fetch('/holo/device-camera/list', {}, 'GET')

export const equip_camera_wuhan = (params) => fetch('http://192.168.208.45:8006/operation/open/api/deviceList2', params, 'GET')

export const equip_radar = () => fetch('/holo/device-radar/list', {}, 'GET')

export const equip_signal = () => fetch('/holo/device-signal/list', {}, 'GET')

export const equip_weather = () => fetch('/holo/device-weather/list', {}, 'GET')

// 首页非机动车美团/饿了么统计
export const noVehicleDetail = () => fetch('/holo/analysis-cross-non-motor/category-monitor')

// 首页非机动车趋势
export const noVehicleTrend = () => fetch('/holo/analysis-cross-non-motor/category-monitor-trend')


// 路口停止线获取
// export const getStopLineByLkid = (params) => fetch(api_config.CROSS_STOP_LINE, params, 'POST', {})

// export const getRoadLines = () => fetch(api_config.ROAD_LINES, {}, 'POST', {})