import fetch from '@/utils/fetch'

//左侧-设备分类
export const getDeviceList = (data, type) => fetch("/holo/device-" + type + "/group", data, "GET");

//左侧列表
export const getCurrentAreaInfo = (data, type) => fetch("/holo/device-" + type + "/getById", data, "GET");


//区域类型字典
export const getAreaTypeDictionary = (data) => fetch("/design/config/dictionary/byCondition", data, "POST");

//新增设备
export const getCreateAddEdit = (data, type) => fetch("/holo/device-" + type + "/creating", data, "POST")

//编辑设备
export const getAreaAddEdit = (data, type) => fetch("/holo/device-" + type + "/updating", data, "POST")

//删除
export const getAreaDelete = (data, type) => fetch(`/holo/device-${type}/deleting`, data, "GET");
//路口列表
export const crossInfo = () => fetch('/holo/base-cross-info/list', {}, 'GET')


//验证
export const getCheckAreaWkt = (data) => fetch("/holo/device-camera/validWkt", data, "POST");
//新增/编辑-获取中心点
export const getAreaCenterPoint = (data) => fetch("/holo/device-camera/getCenterByWkt", data, "POST");

//地图-图层列表
export const getLayerList = (data) => fetch("/design/systemsetting/mapConfig/byAll", data, "GET");

// 获取数据类型
export const getDataSet = (data) => fetch("/design/config/dictionary/byPage", data, "POST")