import fetch from "@/utils/fetch";

// D2A-获取接入数据库
export const getD2aTree = data => fetch("/design/sgw/d2aDataBase/byCondition", data, "POST");

// D2A-获取接口
export const getD2aApiList = data => fetch("/design/sgw/d2aTableRestful/byCondition", data, "POST");

// D2A-获取日志
export const queryD2aLog = data =>
  fetch("/log/logcenter/d2ainterfacerestserver/queryLog", data, "POST");

// A2A-获取接入系统
export const getA2aTree = () => fetch("/design/sgw/a2aSystem/byAll", {}, "GET");

// A2A-获取Restful接口
export const getA2aRestfulList = data => fetch("/design/sgw/a2aRestful/byCondition", data, "POST");

// A2A-获取WebService接口
export const getA2aWebServiceList = data => fetch("/design/sgw/webService/byCondition", data, "POST");

// A2A-获取日志
export const queryA2aLog = data =>
  fetch("/log/logcenter/a2aInterfaceLogRestServer/queryLog", data, "POST");

// 邮件-获取接口
export const getEmailApiList = () => fetch("/design/sgw/m2aMail/byAll", {}, "GET");

// 邮件-获取日志
export const queryM2aLog = data =>
  fetch("/log/logcenter/m2aInterfaceLogRestServer/queryLog", data, "POST");
