import fetch from "@/utils/fetch";

// D2A-获取接入数据库
export const getD2aTree = data => fetch("/design/sgw/d2aDataBase/byCondition", data, "POST");

// D2A-获取接口
export const getD2aApiList = data => fetch("/design/sgw/gateway/findGatewayByDbId", data, "POST");

// A2A-获取接入系统
export const getA2aTree = () => fetch("/design/sgw/a2aSystem/byAll", {}, "GET");

// A2A-获取Restful接口
export const getA2aRestfulList = data =>
  fetch("/design/sgw/gateway/findGatewayBySystemId", data, "POST");

// A2A-获取WebService接口
export const getA2aWebServiceList = data =>
  fetch("/design/sgw/gateway/findGatewayWebServiceBySystemId", data, "POST");

// 邮件-获取接口
export const getEmailApiList = () => fetch("/design/sgw/m2aMail/byAll", {}, "GET");

// 公共-获取日志
export const queryLog = data =>
  fetch("/log/logcenter/getawayinterfacelogrestserver/queryLog", data, "POST");
